Get an Extension by id
Get an Extension by id
curl --request GET \
--url https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"enabled": true,
"id": "<string>",
"kind": "DominoOfficial",
"name": "<string>",
"totalViews": 123,
"uiMountPointTypeConfigs": {
"adminPanel": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"dataset": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"datasetFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"modelDetails": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolume": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"projectSidebar": {
"enabled": true,
"allProjects": true,
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"appVersionId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}Authorizations
Path Parameters
The id of the Extension to retrieve.
Query Parameters
Whether to exclude mount point information in the response. By default, mount point information is included.
Response
Success
The id of the App to associate the Extension with.
The date and time when the Extension was created.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
Whether the Extension is globally enabled or disabled.
The id of the Extension.
The category of the Extension.
DominoOfficial, Uncategorized The name of the Extension.
The total number of views across all app versions.
The configuration for the UI mount points of the Extension. Each property corresponds to a different mount point in the Domino UI where the Extension can be mounted.
Show child attributes
Show child attributes
The date and time when the Extension was last updated.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The version of the App to associate the Extension with.
The date and time when the Extension was deleted. If null, the Extension has not been deleted.
Information about a Domino user including id and names.
Show child attributes
Show child attributes
The description of the Extension.
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/extensions/beta/extensions/{extensionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"enabled": true,
"id": "<string>",
"kind": "DominoOfficial",
"name": "<string>",
"totalViews": 123,
"uiMountPointTypeConfigs": {
"adminPanel": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"dataset": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"datasetFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"modelDetails": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolume": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
},
"projectSidebar": {
"enabled": true,
"allProjects": true,
"mountPoints": [
{
"enabled": true,
"projectId": "<string>"
}
],
"urlConfig": {
"contextualQueryParams": [
"projectId"
],
"route": "<string>"
}
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"appVersionId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}